List salary records
Returns a paginated page of salary records for a specific employee, sorted by effective_from descending (most recent first).
Authentication
AuthorizationBearer
Authorization header using the Bearer scheme
Path parameters
employee_id
Query parameters
page
The page of results to return. Defaults to 1 if not provided.
page_size
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.
Response
OK
items
A paginated array containing the response elements
page
The current page of the results
page_size
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_count
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_page
Whether there are more pages available after this page
has_previous_page
Whether there are more pages available before this page
Errors
400
Bad Request Error
404
Not Found Error

